#ifndef _MUSIC_H_
#define _MUSIC_H_

#include "pico/stdlib.h"

#define MAX_LEN 160
#define NUM_SERVOS 8
#define NUM_SONGS 23

typedef struct {
    uint beat_period;
    uint notes[NUM_SERVOS][MAX_LEN];
    uint end_beat;
} song_t;

extern song_t* song_list[NUM_SONGS];

extern song_t alma_mater;
extern song_t baby_shark;
extern song_t carol_of_the_bells;
extern song_t chopsticks;
extern song_t chords;
extern song_t dreidel;
extern song_t happy_birthday;
extern song_t jingle_bells;
extern song_t leave_the_door_open;
extern song_t love_story;
extern song_t mario;
extern song_t ode_to_joy;
extern song_t office;
extern song_t old_mcdonald;
extern song_t rick_roll;
extern song_t scale;
extern song_t spring;
extern song_t star_wars;
extern song_t thousand_miles;
extern song_t twinkle;
extern song_t whole_new_world;
extern song_t wii_sports;
extern song_t want_u_back;

#endif
