import pathlib      # https://docs.python.org/3/library/pathlib.html
import openpyxl as op    # https://openpyxl.readthedocs.io/en/stable/

f = input("Enter a file name (not including .xlsx): ")      # ex: jingle_bells 
                                                            # c struct will be named the same 

print()

wb = op.load_workbook(filename = f + ".xlsx")
ws = wb.active

A = [0] # servo 1
B = [0] # servo 2
C = [0] # servo 3
D = [0] # servo 4
E = [0] # servo 5
F = [0] # servo 6
G = [0] # servo 7
H = [0] # servo 8

servos = [A,B,C,D,E,F,G,H]
i = 0

A_ascii = ord('A')      # 65
H_ascii = ord('H')      # 73

max_length = 160
end_beat = 0

print('song_t ' + f + ' = {')
print('    .beat_period = 200,')
print('    .notes = {')

for col in range(A_ascii, H_ascii + 1):     # loop from A to H inclusive
    for row in range(1, max_length):
        c = chr(col)
        r = str(row)
        cell = c + r
        if ws[cell].value == None:
            servos[i].append(0)
        else:
            servos[i].append(1)
            if row > end_beat:
                end_beat = row

    s = str(servos[i])      # includes []

    print('        {' + s[1:-1] + '},')
    i+=1

print('    },')
print('    .end_beat = ' + str(end_beat + 1) + ',')        # add one because extra 0 in front of array
print('};')